Bug 89517 - Vsftpd and default ftp file permissions
Summary: Vsftpd and default ftp file permissions
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vsftpd (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-23 18:43 UTC by Nickel
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-14 13:22:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nickel 2003-04-23 18:43:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
I am using vsftpd as my ftp daemon for my web server. The accounts on the 
system are strictly for ftp access, users have no telnet or ssh access to the 
server. In the vsftpd.conf I have anon_umask and local_umask set to 003, which 
should allow 774 permission. But every file that is ftp'd to the serve is set 
to 664. I do not understand what is overriding the vsftpd umask settings. Any 
information would be much appreciated.
Thanks,
Nickel

Version-Release number of selected component (if applicable):
vsftpd-1.1.0-1

How reproducible:
Always

Steps to Reproduce:
1.Make umask changes to vsftpd.conf
2.Completly kill and then restart xinetd to reload vsftpd 
3.upload a file to the server. Run an ls -al on the file and it returns 664 
permission.
    

Additional info:

Comment 1 Radek Vokal 2004-08-23 07:47:11 UTC
Hi Nickel, may I have your vsftpd.conf file? Also can u please check
if the bug appears for vsftpd-2.0.1 (It doesn't for me)

Comment 2 Radek Vokal 2004-09-16 08:57:41 UTC
Check file_open_mode configuration - The permissions with which
uploaded files are created.


Note You need to log in before you can comment on or make changes to this bug.